#!/bin/sh

DDIR=usbdisks-1.1

rm -Rf $DDIR
rm -f $DDIR.tgz

find . -name '*.o' -exec rm '{}' ';'
rm -f build/usbdisks

DNAME=`basename $PWD`
cd ..
tar czf $DNAME-orig.tgz $DNAME
cd $DNAME



mkdir $DDIR

srccopy()
{
   cat distdata/COPY.c $1 > $DDIR/`basename $1`
}

srccopy imports/cmdline.c
srccopy imports/cmdline.h
srccopy imports/eprintf.c
srccopy imports/eprintf.h
srccopy imports/mprintf.c
srccopy imports/mprintf.h
srccopy imports/proc.c
srccopy imports/proc.h

srccopy build/config.c
srccopy build/config.h
srccopy build/gui.h
srccopy build/main.c
srccopy build/plist.c
srccopy build/plist.h
srccopy build/gui.cc

srccopy src/actions.h
srccopy src/fnmanip.c
srccopy src/qsort_ptr.c

cp distdata/Makefile.dist $DDIR/Makefile
cp distdata/README  distdata/COPYING $DDIR

tar czf $DDIR.tgz $DDIR

